import { Controller, Get } from '@nestjs/common';
import { AppService } from './app.service';
import { Public } from './common/decorators/public.decorator';

@Controller()  // 루트 경로 '/'
export class AppController {
  constructor(private readonly appService: AppService) {}

  @Public()  // healthcheck를 위해 인증 제외
  @Get()
  getHello(): string {
    return this.appService.getHello();
  }
}
